org.apache.cxf.bus.blueprint

## Class ConfigurerImpl

- java.lang.Object
- - org.apache.cxf.bus.blueprint.ConfigurerImpl

- All Implemented Interfaces:
    Configurer

      public class ConfigurerImpl
      extends Object
      implements Configurer

- - ### Field Summary

    - ### Fields inherited from interface org.apache.cxf.configuration.Configurer

      `DEFAULT_USER_CFG_FILE, USER_CFG_FILE_PROPERTY_NAME, USER_CFG_FILE_PROPERTY_URL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurerImpl(org.osgi.service.blueprint.container.BlueprintContainer con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureBean(Object beanInstance)` set up the Bean's value by using Dependency Injection from the application context
    `void` | `configureBean(String bn, Object beanInstance)` set up the Bean's value by using Dependency Injection from the application context with a proper name.
    `void` | `configureBean(String bn, Object beanInstance, boolean checkWildcards)`
    `protected String` | `getBeanName(Object beanInstance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurerImpl

          public ConfigurerImpl(org.osgi.service.blueprint.container.BlueprintContainer con)

  - ### Method Detail

    - #### configureBean

          public void configureBean(Object beanInstance)

      Description copied from interface: `Configurer`
      set up the Bean's value by using Dependency Injection from the application context
      Specified by:
        `configureBean` in interface `Configurer`
      Parameters:
        `beanInstance` - the instance of the bean which needs to be configured

    - #### configureBean

          public void configureBean(String bn,
                                    Object beanInstance)

      Description copied from interface: `Configurer`
      set up the Bean's value by using Dependency Injection from the application context with a proper name. You can use * as the prefix of wildcard name.
      Specified by:
        `configureBean` in interface `Configurer`
      Parameters:
        `bn` - the name of the bean which needs to be configured
        `beanInstance` - the instance of bean which need to be configured

    - #### configureBean

          public void configureBean(String bn,
                                    Object beanInstance,
                                    boolean checkWildcards)

    - #### getBeanName

          protected String getBeanName(Object beanInstance)

Apache CXF